Create Address
curl --request POST \
--url https://qwoty.app/api/addresses \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "<string>",
"type": "<string>",
"address_line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"name": "<string>",
"address_line2": "<string>",
"state": "<string>",
"contact_id": "<string>",
"comment": "<string>",
"id_crm": "<string>",
"id_erp": "<string>",
"id_accounting": "<string>"
}
'import requests
url = "https://qwoty.app/api/addresses"
payload = {
"customer_id": "<string>",
"type": "<string>",
"address_line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"name": "<string>",
"address_line2": "<string>",
"state": "<string>",
"contact_id": "<string>",
"comment": "<string>",
"id_crm": "<string>",
"id_erp": "<string>",
"id_accounting": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '<string>',
type: '<string>',
address_line1: '<string>',
city: '<string>',
postal_code: '<string>',
country: '<string>',
name: '<string>',
address_line2: '<string>',
state: '<string>',
contact_id: '<string>',
comment: '<string>',
id_crm: '<string>',
id_erp: '<string>',
id_accounting: '<string>'
})
};
fetch('https://qwoty.app/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "billing",
"name": "Siège social",
"address_line1": "12 Rue de la Paix",
"address_line2": null,
"city": "Paris",
"state": null,
"postal_code": "75001",
"country": "FR",
"contact_id": null,
"comment": null,
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
{
"error": "Validation error",
"details": [
{ "path": "customer_id", "message": "customer_id must be a valid UUID" },
{ "path": "type", "message": "Type must be \"billing\" or \"shipping\"" }
]
}
Addresses
Create Address
Create a new address linked to a customer
POST
/
api
/
addresses
Create Address
Authorization
string
required
Bearer token. Format:
Bearer qwoty_your_tokenRequest Body
string
required
UUID of the customer this address belongs to
string
required
Address type. Allowed values:
"billing", "shipping"string
required
Street address
string
required
City
string
required
Postal/ZIP code
string
required
Country code (ISO 3166-1 alpha-2, e.g.,
"FR", "US", "DE")string
Label for this address (e.g.,
"Head office", "Warehouse")string
Secondary address line (apartment, floor, etc.)
string
State or region
string
UUID of the contact associated with this address
string
Internal comment
string
External CRM ID
string
External ERP ID
string
External accounting ID
Examples
curl -X POST https://qwoty.app/api/addresses \
-H "Authorization: Bearer qwoty_your_token" \
-H "Content-Type: application/json" \
-d '{
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "billing",
"name": "Siège social",
"address_line1": "12 Rue de la Paix",
"city": "Paris",
"postal_code": "75001",
"country": "FR"
}'
const response = await fetch('https://qwoty.app/api/addresses', {
method: 'POST',
headers: {
Authorization: 'Bearer qwoty_your_token',
'Content-Type': 'application/json',
},
body: JSON.stringify({
customer_id: '550e8400-e29b-41d4-a716-446655440000',
type: 'billing',
name: 'Siège social',
address_line1: '12 Rue de la Paix',
city: 'Paris',
postal_code: '75001',
country: 'FR',
}),
})
const data = await response.json()
import requests
response = requests.post(
'https://qwoty.app/api/addresses',
headers={
'Authorization': 'Bearer qwoty_your_token',
'Content-Type': 'application/json',
},
json={
'customer_id': '550e8400-e29b-41d4-a716-446655440000',
'type': 'billing',
'name': 'Siège social',
'address_line1': '12 Rue de la Paix',
'city': 'Paris',
'postal_code': '75001',
'country': 'FR',
},
)
data = response.json()
Response
boolean
true if the address was createdobject
The created address object (same shape as Get
Address)
{
"success": true,
"data": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "billing",
"name": "Siège social",
"address_line1": "12 Rue de la Paix",
"address_line2": null,
"city": "Paris",
"state": null,
"postal_code": "75001",
"country": "FR",
"contact_id": null,
"comment": null,
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
{
"error": "Validation error",
"details": [
{ "path": "customer_id", "message": "customer_id must be a valid UUID" },
{ "path": "type", "message": "Type must be \"billing\" or \"shipping\"" }
]
}
Was this page helpful?
⌘I

